Index: LinuxBIOSv2-3023/src/include/device/pci_ids.h
===================================================================
--- LinuxBIOSv2-3023.orig/src/include/device/pci_ids.h
+++ LinuxBIOSv2-3023/src/include/device/pci_ids.h
@@ -2326,6 +2326,17 @@
 #define PCI_DEVICE_ID_INTEL_6300ESB_PCI_X	0x25ae
 #define PCI_DEVICE_ID_INTEL_6300ESB_WDT		0x25ab
 
+/* Intel 3100 */
+#define PCI_DEVICE_ID_INTEL_3100_ISA    0x2670
+#define PCI_DEVICE_ID_INTEL_3100_EHCI   0x268c
+#define PCI_DEVICE_ID_INTEL_3100_PCI    0x244e
+#define PCI_DEVICE_ID_INTEL_3100_USB    0x2688
+#define PCI_DEVICE_ID_INTEL_3100_SMB    0x269b
+#define PCI_DEVICE_ID_INTEL_3100_USB2   0x2689
+#define PCI_DEVICE_ID_INTEL_3100_USB3   0x268c
+#define PCI_DEVICE_ID_INTEL_3100_SATA   0x2680
+#define PCI_DEVICE_ID_INTEL_3100_SATA_R 0x2681
+
 #define PCI_DEVICE_ID_INTEL_80310	0x530d
 #define PCI_DEVICE_ID_INTEL_82810_MC1	0x7120
 #define PCI_DEVICE_ID_INTEL_82810_IG1	0x7121
@@ -2352,6 +2363,8 @@
 #define PCI_DEVICE_ID_INTEL_PCIE_PA1	0x3596
 #define PCI_DEVICE_ID_INTEL_PCIE_PB	0x3597
 #define PCI_DEVICE_ID_INTEL_PCIE_PC	0x3599
+#define PCI_DEVICE_ID_INTEL_PCIE_QA	0x35b6
+#define PCI_DEVICE_ID_INTEL_PCIE_QA1	0x35b7
 
 #define PCI_VENDOR_ID_COMPUTONE		0x8e0e
 #define PCI_DEVICE_ID_COMPUTONE_IP2EX	0x0291
